﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using GridDataBinding.Models;
using Infragistics.Web.Mvc;

namespace GridDataBinding.Controllers
{
    public class HomeController : Controller
    {
        [GridDataSourceAction]
        public ActionResult Index()
        {
            return View(this.GetProducts().AsQueryable());
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {
            return View(this.GetProducts().AsQueryable());
        }

        private List<Product> GetProducts()
        {
            List<Product> products = new List<Product>()
            {
                new Product() { ProductID = 1, Name = "Adjustable Race", ProductNumber = "AR-5381" },
                new Product() { ProductID = 2, Name = "Bearing Ball", ProductNumber = "BA-8327" },
                new Product() { ProductID = 3, Name = "BB Ball Bearing", ProductNumber = "BE-2349" },
                new Product() { ProductID = 4, Name = "Headset Ball Bearings", ProductNumber = "BE-2908" },
                new Product() { ProductID = 316, Name = "Blade", ProductNumber = "BL-2036" },
                new Product() { ProductID = 317, Name = "LL Crankarm", ProductNumber = "CA-5965" },
                new Product() { ProductID = 318, Name = "ML Crankarm", ProductNumber = "CA-6738" },
                new Product() { ProductID = 319, Name = "HL Crankarm", ProductNumber = "CA-7457" },
                new Product() { ProductID = 320, Name = "Chainring Bolts", ProductNumber = "CB-2903" },
                new Product() { ProductID = 321, Name = "Chainring Nut", ProductNumber = "CN-6137" }
            };
            return products;
        }
    }
}